## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Name:           python-markdown-exec
Version:        1.10.0
Release:        %autorelease
Summary:        Utilities to execute code blocks in Markdown files.

License:        ISC
URL:            https://pawamoy.github.io/markdown-exec
Source:         %{pypi_source markdown_exec}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(markupsafe)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
This package provides utilities to execute code blocks in Markdown files.

For example, you write a Python code block that computes some HTML, and this
HTML is injected in place of the code block.}

%description %_description

%package -n     python3-markdown-exec
Summary:        %{summary}

%description -n python3-markdown-exec %_description

%pyproject_extras_subpkg -n python3-markdown-exec ansi

%prep
%autosetup -p1 -n markdown_exec-%{version}

%generate_buildrequires
%pyproject_buildrequires -x ansi

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -L markdown_exec

%check
%if %{with tests}
%pytest -v
%else
%pyproject_check_import
%endif

%files -n python3-markdown-exec -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md

%changelog
## START: Generated by rpmautospec
* Fri Jul 18 2025 Python Maint <python-maint@redhat.com> - 1.10.0-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 13 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.10.0-1
- Initial import; Fixes: RHBZ#2332279
## END: Generated by rpmautospec
